RDMA_LISTEN(3)

NAME
rdma_listen - Listen for incoming connection requests.

SYNOPSIS
#include <rdma/rdma_cma.h>

int rdma_listen (struct rdma_cm_id *id, int backlog);

ARGUMENTS

id  RDMA identifier.

backlog
    backlog of incoming connection requests.

DESCRIPTION
Initiates a listen for incoming connection requests or datagram service lookup. The listen will be restricted to the locally bound source address.

RETURN VALUE
Returns 0 on success, or -1 on error. If an error occurs, errno will be set to indicate the failure reason.

NOTES
Users must have bound the rdma_cm_id to a local address by calling rdma_bind_addr before calling this routine. If the rdma_cm_id is bound to a specific IP address, the listen will be restricted to that address and the associated RDMA device. If the rdma_cm_id is bound to an RDMA port number only, the listen will occur across all RDMA devices.

SEE ALSO
rdma_cm(7), rdma_bind_addr(3), rdma_connect(3), rdma_accept(3), rdma_reject(3), rdma_get_cm_event(3)